Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class HitInfo.Text

    java.lang.Object
      jpicedt.graphic.view.HitInfo
          jpicedt.graphic.view.HitInfo.Interior
              jpicedt.graphic.view.HitInfo.Text

Enclosing class:
  HitInfo

public static class HitInfo.Text
extends HitInfo.Interior

Represent a Hit that occured on some interior area of a TextEditable. This is simply a convenient wrapper for `java.awt.font.TextHitInfo`.

Nested Class Summary

Nested classes inherited from class jpicedt.graphic.view.HitInfo
`HitInfo.Composite, HitInfo.EnvelopeStroke, HitInfo.HighlighterStroke, HitInfo.Interior, HitInfo.Point, HitInfo.Stroke, HitInfo.Text`

Constructor Summary
`HitInfo.Text(TextEditable clickedObject, TextHitInfo thi, PEMouseEvent mouseEvent)` construct a new HitInfo.Text that occured on the given TextEditable, fetching useful information from the given TextHitInfo.

Method Summary
`TextHitInfo` | `getTextHitInfo()` Returns the `java.awt.font.TextHitInfo` wrapped into this HitInfo.
`String` | `toString()`

Methods inherited from class jpicedt.graphic.view.HitInfo
`getMouseEvent, getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HitInfo.Text

    public HitInfo.Text(TextEditable clickedObject,
                        TextHitInfo thi,
                        PEMouseEvent mouseEvent)

  construct a new HitInfo.Text that occured on the given TextEditable, fetching useful information from the given TextHitInfo.

Method Detail

### getTextHitInfo

    public TextHitInfo getTextHitInfo()

  Returns the `java.awt.font.TextHitInfo` wrapped into this HitInfo.

### toString

    public String toString()

  Overrides:
    `toString` in class `HitInfo.Interior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org